HPT(1)

NAME
hpt - toss pkt files to squish/msg/jam bases and export messages

SYNTAX

Toss pkt files from inbound
    hpt toss

Toss messages from badarea (force)
    hpt toss -b[f]

Scan echomail messages
    hpt scan

Scan echomail messages without HighWaters of position
    hpt scan -w

Scan echomail messages from alternative echotoss file
    hpt scan -f <echotoss.log>

Scan echomail messages from <areaname> area
    hpt scan -a <areaname>

Pack netmail messages
    hpt pack

Links echomail messages
    hpt link [areamask]

Process areafix
    hpt afix [<addr> command] hpt qupd - update queue file and do some areafix jobs hpt qrep - make report based on information from queue file

Post a message to area
    hpt post [options] file options are:

-nf "name from"
    message sender's name, if not included post use sysop name (see fidoconfig)

-nt "name to"
    message receiver's name, if not included post use "All"

-af "address from"
    message sender's address, if not included post use first system address (see fidoconfig)

-at "address to"
    message receiver's address, *MUST BE PRESENT*

-s "subject"
    subject line, if not included then assumed to be empty

-e "echo area"
    area to post echomail message into, if not included message is posted to netmail

-z "tearline"
    tearline, if not included then assumed to be empty line

-o "origin"
    origin, if not included then assumed to be name of station in config-file

-f flag(s)
    flags to set to the posted msg. possible ones are: pvt, crash, read, sent, att, fwd, orphan, k/s, loc, hld, xx2, frq, rrq, cpt, arq, urq; use it without trailing brackets like this: pvt loc k/s

-x export message to echo links

-d erase input file after posting

-u[size] uue-multipart posting
    size - number of lines per section(150 for default)

-h get help

file - text file to post into echo or "-" for stdin

Refresh area subscription
    hpt relink <addr>

Set pause for links who don't poll our system
    hpt pause

Quiet mode (no screen output)
    hpt -q

Set config-file name, if needed
    hpt -c /path/to/config

DESCRIPTION
Highly Portable Tosser is the way to toss your fidonet mail.

BUGS
I suppose there are :). So, report me, if you found any. Every time you changed the config-file please run tparser to see if your config is valid...

AUTHORS
1997-1999: Matthias Tichy, 2:2432/645 (mtt@tichy.de)
1999-2002: Max Levenkov, 2:5000/117 (sackett@mail.ru)